[thrift] highly concurrent Erlang goodness

Summary:
 * shim to use object-oriented code as gen_servers
 * high(er) performance Erlang-style server and transport
 * sane packaging based on otp-base, i.e. Makefiles and real structure

Test Plan: tutorial server offers the same (subset of) functionality as previous version

Revert Plan: ok


git-svn-id: https://svn.apache.org/repos/asf/incubator/thrift/trunk@665164 13f79535-47bb-0310-9956-ffa450edef68
diff --git a/lib/erl/tools/utilities/edoc b/lib/erl/tools/utilities/edoc
new file mode 100755
index 0000000..632f261
--- /dev/null
+++ b/lib/erl/tools/utilities/edoc
@@ -0,0 +1,16 @@
+#!/bin/sh
+if [ "$#" -ne "1" ]
+then
+	echo $USAGE
+	exit 1
+fi
+
+CURRENT_DIR=`pwd`
+echo $CURRENT_DIR
+
+# Establish the otp base directory.
+MY_CMD=`which $0`
+MY_CMD_DIR=`dirname $MY_CMD`
+OTP_BASE_DIR=$MY_CMD_DIR/../..
+
+erl -noshell -pz $OTP_BASE_DIR/lib/fslib/ebin -s fs_lib s_apply edoc application "$1".  "\"../../$1"\". []." " -s init stop | egrep "(EXIT|terminating)"